package com.wificam;

import com.example.wificam.R;
import com.wificam.camera.CameraManager;
import com.wificam.network.IDataSender;
import com.wificam.network.NetworkManager;

import android.os.Bundle;
import android.app.Activity;

// goruntu verisinin encode edilip pc uzerinde vlc playerda oynatilmasi

public class MainActivity extends Activity {
	
	private CameraManager camMan;
	private NetworkManager netMan;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		camMan = new CameraManager();
		netMan = new NetworkManager();
		
		/*Thread thread = new Thread(new Runnable() {
			
			@Override
			public void run() {
				
				netMan.setAsClient("192.168.2.3", 12345);
			}
		});
		
		thread.start();
		
		camMan.setDataSender(new IDataSender() {
			
			@Override
			public void sendData(byte[] data) {
				
				netMan.sendData(data);
			}
		});*/
		
		camMan.prepareCamera();
		camMan.cameraPreview();
	}
	
	@Override
	protected void onDestroy() {
		super.onDestroy();
		
		camMan.releaseCamera();
	}
	
}
